package cn.superdesk.uniorder.dao.mapper.unified;

import cn.superdesk.uniorder.dao.entity.unified.UnifiedDrowMoney;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedDrowMoneyPage;

import java.util.List;
import java.util.Map;

public interface UnifiedDrowMoneyMapper {

	int deleteByPrimaryKey(Long id);

	int insert(UnifiedDrowMoney record);

	int insertSelective(UnifiedDrowMoney record);

	UnifiedDrowMoney selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(UnifiedDrowMoney record);

	int updateByPrimaryKey(UnifiedDrowMoney record);

	List<UnifiedDrowMoney> findAll(Map<String, Object> queryMap);

	List<UnifiedDrowMoneyPage> getPageData(Map<String, Object> params);
}